Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class JVMAttributes

    java.lang.Object
      com.sun.messaging.jms.management.server.JVMAttributes

    public class JVMAttributes

extends java.lang.Object

Class containing information on JVM attributes.

Field Summary
`static java.lang.String` | `FREE_MEMORY` FreeMemory
`static java.lang.String` | `INIT_MEMORY` InitMemory
`static java.lang.String` | `MAX_MEMORY` MaxMemory
`static java.lang.String` | `TOTAL_MEMORY` TotalMemory

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FREE_MEMORY

    public static final java.lang.String FREE_MEMORY

  FreeMemory

  See Also:
    Constant Field Values

### INIT_MEMORY

    public static final java.lang.String INIT_MEMORY

  InitMemory

  See Also:
    Constant Field Values

### MAX_MEMORY

    public static final java.lang.String MAX_MEMORY

  MaxMemory

  See Also:
    Constant Field Values

### TOTAL_MEMORY

    public static final java.lang.String TOTAL_MEMORY

  TotalMemory

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.